QwtLegendItem(3)

NAME
QwtLegendItem -

A widget representing something on a QwtLegend().

SYNOPSIS

#include <qwt_legend_item.h>

Inherits QwtTextLabel.

  Public Slots
void setChecked (bool on)

  Signals
void clicked ()
void pressed ()
void released ()
void checked (bool)

  Public Member Functions
QwtLegendItem (QWidget *parent=0)
virtual ~QwtLegendItem ()
void setItemMode (QwtLegend::LegendItemMode)
QwtLegend::LegendItemMode itemMode () const
void setSpacing (int spacing)
int spacing () const
virtual void setText (const QwtText &)
void setIdentifier (const QPixmap &)
QPixmap identifier () const
void setIdentifierSize (const QSize &)
QSize identifierSize () const
virtual QSize sizeHint () const
bool isChecked () const

  Protected Member Functions
void setDown (bool)
bool isDown () const
virtual void paintEvent (QPaintEvent *)
virtual void mousePressEvent (QMouseEvent *)
virtual void mouseReleaseEvent (QMouseEvent *)
virtual void keyPressEvent (QKeyEvent *)
virtual void keyReleaseEvent (QKeyEvent *)

Detailed Description

A widget representing something on a QwtLegend().

Constructor & Destructor Documentation

  QwtLegendItem::QwtLegendItem (QWidget *parent = 0) [explicit] Parameters:
    parent Parent widget

  QwtLegendItem::~QwtLegendItem () [virtual]

Destructor.

Member Function Documentation

  void QwtLegendItem::checked (bool) [signal]

Signal, when the legend item has been toggled.

  void QwtLegendItem::clicked () [signal]

Signal, when the legend item has been clicked.

  QPixmap QwtLegendItem::identifier () const Returns:
    pixmap representing a plot item

See also:
    setIdentifier()

  QSize QwtLegendItem::identifierSize () const Return the width of the identifier

See also:
    setIdentifierSize()

  bool QwtLegendItem::isChecked () const

Return true, if the item is checked.

  bool QwtLegendItem::isDown () const [protected]

Return true, if the item is down.

  QwtLegend::LegendItemMode QwtLegendItem::itemMode () const Return the item mode

See also:
    setItemMode()

  void QwtLegendItem::keyPressEvent (QKeyEvent *e) [protected, virtual]

Handle key press events.

  void QwtLegendItem::keyReleaseEvent (QKeyEvent *e) [protected, virtual]

Handle key release events.

  void QwtLegendItem::mousePressEvent (QMouseEvent *e) [protected, virtual]

Handle mouse press events.

  void QwtLegendItem::mouseReleaseEvent (QMouseEvent *e) [protected, virtual]

Handle mouse release events.

  void QwtLegendItem::paintEvent (QPaintEvent *e) [protected, virtual]

Paint event.

Reimplemented from QwtTextLabel.

  void QwtLegendItem::pressed () [signal]

Signal, when the legend item has been pressed.

  void QwtLegendItem::released () [signal]

Signal, when the legend item has been relased.

  void QwtLegendItem::setChecked (boolon) [slot] Check/Uncheck a the item

Parameters:
    on check/uncheck

See also:
    setItemMode()

  void QwtLegendItem::setDown (booldown) [protected]

Set the item being down.

  void QwtLegendItem::setIdentifier (const QPixmap &identifier) Assign the identifier The identifier needs to be created according to the identifierWidth()

Parameters:
    identifier Pixmap representing a plot item

See also:
    identifier(), identifierWidth()

  void QwtLegendItem::setIdentifierSize (const QSize &size) Set the size for the identifier Default is 8x8 pixels

Parameters:
    size New size

See also:
    identifierSize()

  void QwtLegendItem::setItemMode (QwtLegend::LegendItemModemode) Set the item mode The default is QwtLegend::ReadOnlyItem

Parameters:
    mode Item mode

See also:
    itemMode()

  void QwtLegendItem::setSpacing (intspacing) Change the spacing

Parameters:
    spacing Spacing

See also:
    spacing(), identifierWidth(), QwtTextLabel::margin()

  void QwtLegendItem::setText (const QwtText &text) [virtual] Set the text to the legend item

Parameters:
    text Text label

See also:
    QwtTextLabel::text()

Reimplemented from QwtTextLabel.

  QSize QwtLegendItem::sizeHint () const [virtual]

Return a size hint.

Reimplemented from QwtTextLabel.

  int QwtLegendItem::spacing () const Return the spacing

See also:
    setSpacing(), identifierWidth(), QwtTextLabel::margin()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.